Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Class OverlayLayout

    java.lang.Object
      |
      +--javax.swing.OverlayLayout

public class OverlayLayout
extends java.lang.Object
implements java.awt.LayoutManager2, java.io.Serializable

A layout manager to arrange components over the top of each other. The requested size of the container will be the largest requested size of the children, taking alignment needs into consideration. The alignment is based upon what is needed to properly fit the children in the allocation area. The children will be placed such that their alignment points are all on top of each other.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

See Also:
  Serialized Form

Constructor Summary
`OverlayLayout(java.awt.Container target)` Constructs a layout manager that performs overlay arrangment of the children.

Method Summary
`void` | `addLayoutComponent(java.awt.Component comp, java.lang.Object constraints)` Adds the specified component to the layout, using the specified constraint object.
`void` | `addLayoutComponent(java.lang.String name, java.awt.Component comp)` Adds the specified component to the layout.
`float` | `getLayoutAlignmentX(java.awt.Container target)` Returns the alignment along the x axis for the container.
`float` | `getLayoutAlignmentY(java.awt.Container target)` Returns the alignment along the y axis for the container.
`void` | `invalidateLayout(java.awt.Container target)` Indicates a child has changed its layout related information, which causes any cached calculations to be flushed.
`void` | `layoutContainer(java.awt.Container target)` Called by the AWT when the specified container needs to be laid out.
`java.awt.Dimension` | `maximumLayoutSize(java.awt.Container target)` Returns the minimum dimensions needed to lay out the components contained in the specified target container.
`java.awt.Dimension` | `minimumLayoutSize(java.awt.Container target)` Returns the minimum dimensions needed to lay out the components contained in the specified target container.
`java.awt.Dimension` | `preferredLayoutSize(java.awt.Container target)` Returns the preferred dimensions for this layout given the components in the specified target container.
`void` | `removeLayoutComponent(java.awt.Component comp)` Removes the specified component from the layout.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OverlayLayout

    public OverlayLayout(java.awt.Container target)

  Constructs a layout manager that performs overlay arrangment of the children. The layout manager created is dedicated to the given container.
  Parameters:
    `target` - The container to do layout against.

Method Detail

### invalidateLayout

    public void invalidateLayout(java.awt.Container target)

  Indicates a child has changed its layout related information, which causes any cached calculations to be flushed.
  Specified by:
    invalidateLayout in interface java.awt.LayoutManager2
  Parameters:
    `target` - the container

### addLayoutComponent

    public void addLayoutComponent(java.lang.String name,
                                   java.awt.Component comp)

  Adds the specified component to the layout. Not used by this class.
  Parameters:
    `name` - the name of the component
    `comp` - the the component to be added

### removeLayoutComponent

    public void removeLayoutComponent(java.awt.Component comp)

  Removes the specified component from the layout. Not used by this class.
  Parameters:
    `comp` - the component to remove

### addLayoutComponent

    public void addLayoutComponent(java.awt.Component comp,
                                   java.lang.Object constraints)

  Adds the specified component to the layout, using the specified constraint object.
  Specified by:
    addLayoutComponent in interface java.awt.LayoutManager2
  Parameters:
    `comp` - the component to be added
    `constraints` - where/how the component is added to the layout.

### preferredLayoutSize

    public java.awt.Dimension preferredLayoutSize(java.awt.Container target)

  Returns the preferred dimensions for this layout given the components in the specified target container. Recomputes the layout if it has been invalidated. Factors in the current inset setting returned by getInsets().
  Parameters:
    `target` - the component which needs to be laid out
  Returns:
    a Dimension object containing the preferred dimensions
  See Also:
    `minimumLayoutSize(java.awt.Container)`

### minimumLayoutSize

    public java.awt.Dimension minimumLayoutSize(java.awt.Container target)

  Returns the minimum dimensions needed to lay out the components contained in the specified target container. Recomputes the layout if it has been invalidated, and factors in the current inset setting.
  Parameters:
    `target` - the component which needs to be laid out
  Returns:
    a Dimension object containing the minimum dimensions
  See Also:
    `preferredLayoutSize(java.awt.Container)`

### maximumLayoutSize

    public java.awt.Dimension maximumLayoutSize(java.awt.Container target)

  Returns the minimum dimensions needed to lay out the components contained in the specified target container. Recomputes the layout if it has been invalidated, and factors in the inset setting returned by getInset().
  Specified by:
    maximumLayoutSize in interface java.awt.LayoutManager2
  Parameters:
    `target` - the component which needs to be laid out
  Returns:
    a Dimension object containing the maximum dimensions
  See Also:
    `preferredLayoutSize(java.awt.Container)`

### getLayoutAlignmentX

    public float getLayoutAlignmentX(java.awt.Container target)

  Returns the alignment along the x axis for the container. If the major axis of the box is the x axis the default alignment will be returned, otherwise the alignment needed to place the children along the x axis will be returned.
  Specified by:
    getLayoutAlignmentX in interface java.awt.LayoutManager2
  Parameters:
    `target` - the container
  Returns:
    the alignment >= 0.0f && <= 1.0f

### getLayoutAlignmentY

    public float getLayoutAlignmentY(java.awt.Container target)

  Returns the alignment along the y axis for the container. If the major axis of the box is the y axis the default alignment will be returned, otherwise the alignment needed to place the children along the y axis will be returned.
  Specified by:
    getLayoutAlignmentY in interface java.awt.LayoutManager2
  Parameters:
    `target` - the container
  Returns:
    the alignment >= 0.0f && <= 1.0f

### layoutContainer

    public void layoutContainer(java.awt.Container target)

  Called by the AWT when the specified container needs to be laid out.
  Parameters:
    `target` - the container to lay out
  Throws:
    AWTError - if the target isn't the container specified to the BoxLayout constructor

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.